Download it now!
Bug 32491 - Comments not allowed contrary to PDF export settings
Summary: Comments not allowed contrary to PDF export settings
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-18 04:11 UTC by philipp.meng
Modified: 2014-01-24 17:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample from Ubuntu12 LibO 3.5 works fine (7.98 KB, application/pdf)
2012-11-18 09:12 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description philipp.meng 2010-12-18 04:11:16 UTC
Using Ubuntu 10.10, installed from .deb packages;
Version: 3.3.0.1

I tried several times to export a document in LibreOffice and to add comments to it afterwards using Adobe Reader. It never worked:
This is what i tried
1) Quick export to pdf function
2) Export to PDF Function from the File-Menu, without setting any security restrictions
3) Export to PDF Function from the File-Menu, with setting security restrictions, but set to allow all modifications but not extracting pages.

None of this steps produce a PDF document, where in Adobe Reader Comments can be added. 

I uploaded screenshots of the document properties shown in Acrobat Reader to mediafire:
http://www.mediafire.com/?nk2s7eygchth2
There are 3 Screenshots:

open file: This is a "normal" PDF file exported in LibreOffice without setting any restrictions (case 2 above)
restricted: This is the properties view of a file with restrictions (case 3 above)
restricted details: Details view of "restricted" (case 3)

What makes me think is, that in the same file with security restrictions - in the Details view of the properties in Acrobat Reader, Commenting is allowed. But it just doesn't work.
When i open the file in Acrobat Writer and i remove all restrictions, then it works.

I would be happy to provide you with all further information you need.

Thanks a lot!
Philipp
Comment 1 Gualtiero Testa 2011-02-16 08:07:19 UTC
Hi,

I confirm the same problem on Ubuntu 10.10

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4, Ubuntu package 1:3.3.0-1maverick1

using Impress.

On Windows 7 the same Impress file and the same LibO version as above gives correct PDF : all security is properly set.

It seems a Linux only problem.

Gualtiero
Comment 2 Björn Michaelsen 2011-12-23 11:34:32 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 sasha.libreoffice 2012-02-23 02:08:10 UTC
In 3.5.0 problem still exist?
Comment 4 PICCORO Lenz McKAY 2012-07-20 18:24:26 UTC
tested openoffice 2.2 under debian etch and works!

tested openoffice 2.4.1 under debian lenny or etch (backported debs) and works


i testeed libreoffice from debian repositori (stable) and backports and problem persists

tested under rhel 5 and rhel 6 using libreoffice  rpms from website and problems persist

tested under debian squeeze stable using lasted debs files from web libreoffice 3.5.5 adn problem persist

tested under debian venenux and massenoh (lenny based, and also squeeze based) using own building debs files combined from debian repos sources and some code backported form development branch and problem persist

friends of me tested under guiindows M$ and works.. using any release of openoffice or libreoffice



who cares and defend free software so obtusely explain why so WORK ONLY IN WINDOWS PDF SECURITY EXPORTING and not in linux? I just try the 3.5.5 stable version also the development unstable Branch (like 3.5.6 or 3.6.X) of LibreOffice development and set up some resctricciones but still adobe or evince skip and jump security restrictions only in linux....

in openoffice 2.X this is not (the oracle / sun old version), but the new versions of OpenOffice and LibreOffice happen this fail security option,  its GNU software so more hypocritical than ever!!!??? This is the result of windoze users/developer into linux/GNU projects, constant pull behind the shadows of M$ ..



a quien le interese y defienda tan obtusamente el software libre EXPLIQUEME PORQUE EN WINDOWS SIRVE LA SEGURIDAD EN PDF y en linux no? acabo probar la version 3.5.5 y la del branch de desarrollo (algo asi como 3.5.6 o 3.6.X) de libreoffice y configuro algunas resctricciones y con adobe e incluso con evince las salto.. mismo caso con el openoffice 3.4.X de apache.. 

en openoffice 2.X no ocurre esto (el de oracle/sun version vieja), pero las versiones nuevas de openoffice y libreoffice solo sirve esta opcion de seguridad en guiinndoo esso tremendo GNU mas hipocrita que nunca!! Este es el resultado de ussuarios windoseros en proyectos de linux y software libre, una sola jaladera detras de las sombras de MS..
Comment 5 Rainer Bielefeld Retired 2012-07-21 08:34:07 UTC
Works for me with a Writer source document and "LibreOffice  3.5.5.3.  German UI/Locale [Build-ID: 7122e39-92ed229-498d286-15e43b4-d70da21] on German WIN7 Home Premium (64bit) 

@sasha
do you have own test results?

@philipp.meng@gmail.com
@PICCORO Lenz McKAY
Please contribute a test kit (.zip) containing a simple sample document and your export result
Comment 6 sasha.libreoffice 2012-07-27 13:33:58 UTC
> do you have own test results?
No. I have no Adobe Reader
Comment 7 Florian Reisinger 2012-08-14 13:59:48 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 8 Florian Reisinger 2012-08-14 14:00:58 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 9 Florian Reisinger 2012-08-14 14:05:42 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 10 Florian Reisinger 2012-08-14 14:07:43 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 11 fred 2012-08-29 11:04:48 UTC
This fails for me as well.  FC16 x86_64 running LibO 3.6.0.4.  To reproduce: load a document into Writer.  Export as PDF.  The default on the security tab (greyed out) is Changes: Any except extracting pages.  Complete the export.  Open the resulting PDF with Adobe Reader 9 (9.4.7 10/05/2011).  Go to Document:Security:Show Security Properties.  Read the Document Restrictions Summary.  Observe "Commenting: Not Allowed".

I understand the motivation for robo-closing bugs, but if one reads the history, only a month ago it was reconfirmed by users.  There is no extra information needed on this, as the method to reproduce it is quite clear.
Comment 12 Rainer Bielefeld Retired 2012-11-18 09:12:41 UTC
Created attachment 70212 [details]
Sample from Ubuntu12 LibO 3.5 works fine
Comment 13 Rainer Bielefeld Retired 2012-11-18 09:23:52 UTC
Please consider:
<http://wiki.documentfoundation.org/BugReport_Details#Version>
I modify Version due to Comment 1

This is not a valid bug report:
- No sample.pdf showing the problem
- No source document showing the problem
Comment 14 Rainer Bielefeld Retired 2012-11-18 09:27:54 UTC
Comment on attachment 70212 [details]
Sample from Ubuntu12 LibO 3.5 works fine

I created that document from LigO 3.5.4.2 on Ubuntu 12.04 64 bit 
With AR X on WIN7 I see "comments: allowed"
Comment 15 bfoman (inactive) 2013-05-21 10:45:38 UTC
(In reply to comment #14)
> Comment on attachment 70212 [details]
> Sample from Ubuntu12 LibO 3.5 works fine
> 
> I created that document from LigO 3.5.4.2 on Ubuntu 12.04 64 bit 
> With AR X on WIN7 I see "comments: allowed"

Adobe Reader 9.5.4 Commenting: Not Allowed as per comment 11. 
PDF software (AR 9.x) issue? Anyone on CC list can recheck and add comment with used PDF reader name and versions?
Comment 16 QA Administrators 2013-12-22 21:59:28 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 17 bfoman (inactive) 2014-01-24 17:07:51 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > Comment on attachment 70212 [details]
> > Sample from Ubuntu12 LibO 3.5 works fine
> > 
> > I created that document from LigO 3.5.4.2 on Ubuntu 12.04 64 bit 
> > With AR X on WIN7 I see "comments: allowed"
> 
> Adobe Reader 9.5.4 Commenting: Not Allowed as per comment 11. 

Adobe Reader 11.0.06 Commenting: Allowed.

As I received mixed results on the same pdf file in different Adobe Reader versions then I'd mark this as NOTOURBUG.
Do not hesitate to reopen in case of mistriage,